Link to Poster >= 0.8.0

Bug #761146 reported by Emilien Klein on 2011-04-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nautilus-image-manipulator (Debian)
Fix Released
Unknown
nautilus-image-manipulator (Ubuntu)
Undecided
Emilien Klein

Bug Description

Remove the copied source code from Poster (in `nautilus_image_manipulator/upload/poster/`) and rather link to it. I don't know if it's possible to tell distutils to use the cheeseshop?

Poster is distributed at http://pypi.python.org/pypi/poster

Emilien Klein (emilien-klein) wrote :

It's important to link to >= 0.8.0 since previous version had a bug [0] that prevented using it as is. That was the reason of inclusion of the code in the first place

[0] https://bitbucket.org/chrisatlee/poster/changeset/8d102e3679cf

Emilien Klein (emilien-klein) wrote :

This actually concerns more the Ubuntu/Debian package that the upstream, changing it to the package.

affects: nautilus-image-manipulator → nautilus-image-manipulator (Ubuntu)
Changed in nautilus-image-manipulator (Ubuntu):
assignee: nobody → Emilien Klein (emilien-klein)
Changed in nautilus-image-manipulator (Debian):
status: Unknown → New
Changed in nautilus-image-manipulator (Debian):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus-image-manipulator - 0.5-2

---------------
nautilus-image-manipulator (0.5-2) unstable; urgency=low

  * Remove included Poster source code and instead use the python-poster
      package from Debian (Closes: #648030) (LP: #761146)
  * debian/control:
    - Require python-poster 0.8.0 or higher

nautilus-image-manipulator (0.5-1) unstable; urgency=low

  * New upstream release
    - Make sure that only valid filenames are passed (LP #711508 and
        LP#711509)
    - Better handling of zipfile creation
    - Do not allow appendString to end in "/", because the image would be
        called ".EXT", which is a hidden file in it's own folder
    - Various lower-level enhancements
      - Gracefully handle when ImageMagick is not installed (LP #877738)
      - Display an error message is DistUtilsExtra is not installed when
          updating the translations
  * debian/copyright:
    - Use a versioned URL to indicate DEP-5 conformance
 -- Ubuntu Archive Auto-Sync <email address hidden> Thu, 29 Dec 2011 09:51:07 +0000

Changed in nautilus-image-manipulator (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.